/*
    gethostinfo.c: Example of the gethostinfo() function.
    Copyright (C) 1999 by Marcelo Gornstein

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    see "COPYING" file for details.

If you want to contact me:
Marcelo Gornstein
mgornstein@usa.net
*/

#include <stdio.h>
#include <netdb.h>
#include <easytcpip/host.h>

int main (int argc, char *argv[]) {
    char buffer[50];
    struct hostinfo h, *hp = 0;
    do {
	printf ("give me an ip address or hostname: ");
        memset (buffer, '\0', sizeof (buffer));
	scanf ("%s", buffer);
        hp = gethostinfo (buffer);
	if (!hp) herror ("Error");
    } while (!hp);
    memcpy ((void *) (&h), (void *) (hp), hostlen);
    printf ("host info:\nname: %s\nip: %s\nnet numb: %d\n", h.name, h.ip, (int)h.addr);
    return (0);
}