/*
    popserver.c: Will listen for one connection on port 110 and then
    send a message to the client.
    Copyright (C) 1999 by Marcelo Gornstein

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    see "COPYING" file for details.

If you want to contact me:
Marcelo Gornstein
mgornstein@usa.net
*/
#include <stdio.h>
#include <easytcpip/alloc.h>
#include <easytcpip/host.h>
#include <easytcpip/dataio.h>

#define MSG "Hello world !!\n"
#define PORT 110

int hd;
int sd;
int cd;

int main (void) {
    initpool ();
    hd = hostalloc ();
    sd = openserver (hd, PORT, IPPROTO_TCP);
    if (sd < 0) {
	perror ("Error in openserver()");
	return (-1);
    }
    cd = getclient (hd, sd);
    dataio (hd, cd, MSG, sizeof (MSG), SEND);
    hostfree (hd);
    _pooldebug ();
    return (0);
}